Skip to main content
GET
/
ghg_statements
/
{id}
Get Ghg Statement
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credit_allocation": {
    "buffer_pool_contribution_kg": 123,
    "supplier_allocation_kg": 123
  },
  "credits_issued_at": "2023-11-07T05:31:56Z",
  "ghg_entry_ids": [
    "rmv_1EEM6NJXX1S0EXKD"
  ],
  "ghg_statement_report_url": "<string>",
  "id": "ggs_1GDQJ99Z51S0DYW9",
  "pending_total_co2e_removed_kg": 123,
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "removal_ids": [
    "rmv_1EEM6NJXX1S0EXKD"
  ],
  "reporting_period_end_at": "2023-12-25",
  "reporting_period_start_at": "2023-12-25",
  "submitted_at": "2023-11-07T05:31:56Z",
  "verifier": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"ggs_1GDQJ99Z51S0DYW9"

"ggs_1FWVEQRWSSBXK3NB"

Response

Successful Response

credit_allocation
CreditAllocation · object | null
required

The split of issuable credits between the supplier and buffer pool. None if any entry's risk_of_reversal_percentage is not set.

credits_issued_at
string<date-time> | null
required
ghg_entry_ids
string[]
required
Required string length: 20 - 37
ghg_statement_report_url
string | null
required
id
string
required
Required string length: 20 - 37
Examples:

"ggs_1GDQJ99Z51S0DYW9"

"ggs_1FWVEQRWSSBXK3NB"

pending_total_co2e_removed_kg
number | null
required

If the GHG statement has pending changes, this is the net CO₂e removed by the entries in the GHG statement, including any changes that are pending. If the GHG statement has no pending changes, this is None.

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

removal_ids
string[]
required
deprecated
Required string length: 20 - 37
reporting_period_end_at
string<date>
required

End date of the reporting period (inclusive)

reporting_period_start_at
string<date>
required

Start date of the reporting period (inclusive)

status
enum<string>
required
Available options:
DRAFT,
AWAITING_VERIFICATION,
VERIFIED,
CREDITS_ISSUED,
FAILED_VERIFICATION
submitted_at
string<date-time> | null
required
verifier
string | null
required

Name of the verifier of the GHG statement